Skip to main content
Nowledge MemNowledge Mem

Fs Stat

GET
/fs/stat

Return metadata for a Nowledge FS path.

Mirrors stat(2) shape with Mem extras: labels, mention count, back-reference count, importance. Preview space contract: graph-wide projection, with each file returning its concrete space_id metadata.

Query Parameters

path*Path

Nowledge FS path

agent_id?|

Agent identity id/slug for /context/* files

source_app?|

Calling app provenance hint for /context/* files

host_agent_id?|

Host-local long-running agent id for /context/* files

space_id?|

Active space override for /context/* files

include_working_memory?Include Working Memory

Include Working Memory preview in /context/* files

Defaulttrue

Response Body

application/json

application/json

curl -X GET "https://example.com/fs/stat?path=string"
null